> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-onclientmiddleware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Your current Bot Detection configuration



## OpenAPI

````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/shield-zone/{shieldZoneId}/bot-detection
openapi: 3.0.4
info:
  title: Bunny Shield API
  description: >-
    Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection,
    Access Lists & API Guardian).
  version: v1
servers:
  - url: https://api.bunny.net
security: []
paths:
  /shield/shield-zone/{shieldZoneId}/bot-detection:
    get:
      tags:
        - Bot Detection
      summary: Your current Bot Detection configuration
      operationId: Get Current Bot Detection
      parameters:
        - name: shieldZoneId
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BotDetectionConfigurationResponse'
        '500':
          description: Internal Server Error
components:
  schemas:
    BotDetectionConfigurationResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/GenericRequestResponse'
        data:
          $ref: '#/components/schemas/BotDetectionConfigurationState'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    GenericRequestResponse:
      type: object
      properties:
        statusCode:
          $ref: '#/components/schemas/HttpStatusCode'
        success:
          type: boolean
          description: Indicates whether the operation was successful.
        message:
          type: string
          description: Human-readable message describing the result of the operation.
          nullable: true
        errorKey:
          type: string
          description: Unique error key for programmatic error handling, if applicable.
          nullable: true
      additionalProperties: false
      description: >-
        Generic response object containing status information for API
        operations.
    BotDetectionConfigurationState:
      required:
        - browserFingerprint
        - ipAddress
        - requestIntegrity
      type: object
      properties:
        shieldZoneId:
          type: integer
          format: int32
        requestIntegrity:
          $ref: '#/components/schemas/RequestIntegrityConfiguration'
        ipAddress:
          $ref: '#/components/schemas/IpAddressConfiguration'
        browserFingerprint:
          $ref: '#/components/schemas/BrowserFingerprintConfiguration'
        executionMode:
          $ref: '#/components/schemas/BotDetectionExecutionMode'
      additionalProperties: false
    HttpStatusCode:
      enum:
        - 100
        - 101
        - 102
        - 103
        - 200
        - 201
        - 202
        - 203
        - 204
        - 205
        - 206
        - 207
        - 208
        - 226
        - 300
        - 301
        - 302
        - 303
        - 304
        - 305
        - 306
        - 307
        - 308
        - 400
        - 401
        - 402
        - 403
        - 404
        - 405
        - 406
        - 407
        - 408
        - 409
        - 410
        - 411
        - 412
        - 413
        - 414
        - 415
        - 416
        - 417
        - 421
        - 422
        - 423
        - 424
        - 426
        - 428
        - 429
        - 431
        - 451
        - 500
        - 501
        - 502
        - 503
        - 504
        - 505
        - 506
        - 507
        - 508
        - 510
        - 511
      type: integer
      description: |-
        100 = Continue
        101 = SwitchingProtocols
        102 = Processing
        103 = EarlyHints
        200 = OK
        201 = Created
        202 = Accepted
        203 = NonAuthoritativeInformation
        204 = NoContent
        205 = ResetContent
        206 = PartialContent
        207 = MultiStatus
        208 = AlreadyReported
        226 = IMUsed
        300 = MultipleChoices
        300 = Ambiguous
        301 = MovedPermanently
        301 = Moved
        302 = Found
        302 = Redirect
        303 = SeeOther
        303 = RedirectMethod
        304 = NotModified
        305 = UseProxy
        306 = Unused
        307 = TemporaryRedirect
        307 = RedirectKeepVerb
        308 = PermanentRedirect
        400 = BadRequest
        401 = Unauthorized
        402 = PaymentRequired
        403 = Forbidden
        404 = NotFound
        405 = MethodNotAllowed
        406 = NotAcceptable
        407 = ProxyAuthenticationRequired
        408 = RequestTimeout
        409 = Conflict
        410 = Gone
        411 = LengthRequired
        412 = PreconditionFailed
        413 = RequestEntityTooLarge
        414 = RequestUriTooLong
        415 = UnsupportedMediaType
        416 = RequestedRangeNotSatisfiable
        417 = ExpectationFailed
        421 = MisdirectedRequest
        422 = UnprocessableEntity
        422 = UnprocessableContent
        423 = Locked
        424 = FailedDependency
        426 = UpgradeRequired
        428 = PreconditionRequired
        429 = TooManyRequests
        431 = RequestHeaderFieldsTooLarge
        451 = UnavailableForLegalReasons
        500 = InternalServerError
        501 = NotImplemented
        502 = BadGateway
        503 = ServiceUnavailable
        504 = GatewayTimeout
        505 = HttpVersionNotSupported
        506 = VariantAlsoNegotiates
        507 = InsufficientStorage
        508 = LoopDetected
        510 = NotExtended
        511 = NetworkAuthenticationRequired
      format: int32
      x-enum-varnames:
        - Continue
        - SwitchingProtocols
        - Processing
        - EarlyHints
        - OK
        - Created
        - Accepted
        - NonAuthoritativeInformation
        - NoContent
        - ResetContent
        - PartialContent
        - MultiStatus
        - AlreadyReported
        - IMUsed
        - MultipleChoices
        - Ambiguous
        - MovedPermanently
        - Moved
        - Found
        - Redirect
        - SeeOther
        - RedirectMethod
        - NotModified
        - UseProxy
        - Unused
        - TemporaryRedirect
        - RedirectKeepVerb
        - PermanentRedirect
        - BadRequest
        - Unauthorized
        - PaymentRequired
        - Forbidden
        - NotFound
        - MethodNotAllowed
        - NotAcceptable
        - ProxyAuthenticationRequired
        - RequestTimeout
        - Conflict
        - Gone
        - LengthRequired
        - PreconditionFailed
        - RequestEntityTooLarge
        - RequestUriTooLong
        - UnsupportedMediaType
        - RequestedRangeNotSatisfiable
        - ExpectationFailed
        - MisdirectedRequest
        - UnprocessableEntity
        - UnprocessableContent
        - Locked
        - FailedDependency
        - UpgradeRequired
        - PreconditionRequired
        - TooManyRequests
        - RequestHeaderFieldsTooLarge
        - UnavailableForLegalReasons
        - InternalServerError
        - NotImplemented
        - BadGateway
        - ServiceUnavailable
        - GatewayTimeout
        - HttpVersionNotSupported
        - VariantAlsoNegotiates
        - InsufficientStorage
        - LoopDetected
        - NotExtended
        - NetworkAuthenticationRequired
    RequestIntegrityConfiguration:
      type: object
      properties:
        sensitivity:
          $ref: '#/components/schemas/BotDetectionSensitivity'
      additionalProperties: false
    IpAddressConfiguration:
      type: object
      properties:
        sensitivity:
          $ref: '#/components/schemas/BotDetectionSensitivity'
      additionalProperties: false
    BrowserFingerprintConfiguration:
      type: object
      properties:
        sensitivity:
          $ref: '#/components/schemas/BotDetectionSensitivity'
        aggression:
          $ref: '#/components/schemas/BrowserFingerprintAggression'
        complexEnabled:
          type: boolean
          nullable: true
      additionalProperties: false
    BotDetectionExecutionMode:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        0 = LogOnly
        1 = Challenge
      format: int32
      x-enum-varnames:
        - LogOnly
        - Challenge
    BotDetectionSensitivity:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        0 = Off
        1 = Low
        2 = Medium
        3 = High
      format: int32
      x-enum-varnames:
        - 'Off'
        - Low
        - Medium
        - High
    BrowserFingerprintAggression:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        0 = Unknown
        1 = Low
        2 = Medium
        3 = High
        4 = Custom
      format: int32
      x-enum-varnames:
        - Unknown
        - Low
        - Medium
        - High
        - Custom

````